Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8257633

Missing -mmacosx-version-min=X flag when linking libjvm

    XMLWordPrintable

    Details

    • Subcomponent:
    • Resolved In Build:
      b28
    • OS:
      os_x

      Backports

        Description

        We have historically provided -mmacosx-version-min=10.9.0 flags when compiling and linking all our native executables and libraries on Macosx. That flag seems to have disappeared when linking libjvm. This is sometimes causing our macosx builds to not be able to run on older versions of macosx.

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                erikj Erik Joelsson
                Reporter:
                erikj Erik Joelsson
                Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: